Package org.eclipse.rdf4j.common.concurrent.locks.diagnostics

## Class LockTracking.SimpleLock<T extends Lock>

- java.lang.Object
- - org.eclipse.rdf4j.common.concurrent.locks.diagnostics.LockTracking.SimpleLock<T>

- All Implemented Interfaces:
    `Lock`
  Enclosing class:
    LockTracking<T extends Lock>

      public static class LockTracking.SimpleLock<T extends Lock>
      extends Object
      implements Lock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.common.concurrent.locks.Lock

      `Lock.ExtendedSupplier<T extends Lock>, Lock.Supplier<T extends Lock>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleLock​(T lock, String alias, long acquiredId, Throwable stack, Thread thread, org.slf4j.Logger logger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `boolean` | `isActive()` | Checks whether the lock is still active.
    `void` | `release()` | Release the lock, making it inactive.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleLock

          public SimpleLock​(T lock,
                            String alias,
                            long acquiredId,
                            Throwable stack,
                            Thread thread,
                            org.slf4j.Logger logger)

  - ### Method Detail

    - #### isActive

          public boolean isActive()

      Description copied from interface: `Lock`
      Checks whether the lock is still active.
      Specified by:
        `isActive` in interface `Lock`

    - #### release

          public void release()

      Description copied from interface: `Lock`
      Release the lock, making it inactive.
      Specified by:
        `release` in interface `Lock`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`